<?php

namespace Slovocast\Controller;

use Slovocast\Controller\Controller;
use Slovocast\Infrastructure\DatabaseConnectionInterface;
use Psr\Http\Message\ResponseInterface as Response;

class HealthCheck extends Controller
{
    public function __construct(
        protected DatabaseConnectionInterface $connection
    ) { }

    public function handle(): Response
    {
        /** 
         * @var PdoDatabaseConnection $this->connection
         */
        $stmt = $this->connection->query("SELECT 1");
        $dbResult = $stmt->fetch();

        return $this->json([
            'http' => true,
            'database' => (bool) $dbResult[0]
        ]);
    }
}
